@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins/27231098576.ttf') format('truetype');
  font-weight: 400;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins/26433847794.ttf') format('truetype');
  font-weight: 700;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins/23653161068.ttf') format('truetype');
  font-weight: 300;
}

* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
}

body {
  background-color:rgb(8, 8, 8);
}

/* HEADER */
header {
  position: relative;
  z-index: 100;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 50px;  
  background: rgb(8, 8, 8);
  padding-bottom: 20px;
  padding-top: 20px;
}

header img {
  width: 15%;
  height: 15%;
  margin-top: 10px;
  margin-bottom: 10px;
  
}
@media (max-width: 768px) {
  header img {
    width:150%;
    height: 150%;
  }
}

header ul {
  list-style: none;
}

header ul li {
  display: inline-block;
  margin: 5px 5px;
  padding: 5px 20px;
  font-size: 17px;
  text-decoration: none;
  font-weight: bold;
}

header ul li a {
  color:#fff;
  font-weight: 500;
  text-decoration: none;
  transition: color 0.3s ease;
}

header ul li a:hover{
  color:#a261ff;
  
}


.banner {
  height: 600px;
  width: 100%;
  margin-top: -80px;
  overflow: hidden;
  margin-bottom: 0;
  padding-bottom: 0;
  display: block;
}

.slides {
  display: flex;
  transition: transform 0.5s ease-in-out;
  width: 100%;
  border: none;
  height: 100%;
}
.slide {
  min-width: 100%;
  height: 100%;
  border: none;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}
        
/* About */
.intro {
  padding: 50px 20px;
  text-align: start;
  max-width: 900px;
  margin: auto;
}

.intro img {
  margin-bottom: 50px;
  display: block;
  margin: 0 auto 50px auto; /* centers horizontally + spacing below */
  height: 30%;
  width: 30%;
}


.intro p {
  font-size: 16px;
  line-height: 1.7;
  text-align: center;
  color:#fff;
  opacity: 0.8;
  margin-bottom: 10px;
 
}
.projects-section {
  padding: 90px;
}

.projects-section h2 {
  font-size: 40px;
  margin-bottom: 40px;
  margin-top: -70px;
  text-align: center;
  color: #fff;
}

/* Grid ONLY for cards */
.projects-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}


.projects-grid h2 {
  font-size: 50px;
  margin-bottom: 40px;
  color:#fff;
}

.info1 {
  display: flex;
  justify-content: space-between;
}
.project-link {
  text-decoration: none;
  color: inherit;
}

.project-card {
  background:#00d355;
  padding: 15px;
  border-radius: 7px;
  transition: 0.3s ease-in-out;
  cursor: pointer;
}


.project-card:hover {
  transform: translateY(-10px);
  box-shadow: 0 10px 25px rgba(0,0,0,0.1);
}



/* ================= ABOUT ================= */

.about-section {
  padding: 100px 10%;
  color: rgba(255, 255, 255, 0.795);
}

.about-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 60px;
  margin-bottom: 10px;
}

/* LEFT TEXT */
.about-text {
  flex: 1;
}

.about-text h1 {
  font-size: 50px;
  margin-bottom: 20px;
  color:#a261ff;
}

.about-text p {
  color: rgba(255, 255, 255, 0.795);
  line-height: 1.8;
  margin-bottom: 15px;
}

.about-text .highlight {
  margin-top: 20px;
  font-weight: bold;
  color:#fff;
  
}



/* RIGHT VISUAL */
.about-visual {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* GLASS CARDS */
.glass-card {
  background: rgba(255, 255, 255, 0.101);
  backdrop-filter: blur(10px);
  padding: 25px;
  border-radius: 15px;
  border: 1px solid rgba(255,255,255,0.08);
  transition: 0.3s;
}

.glass-card:hover {
  transform: translateY(-5px);
  border-color:#a261ff;
}

/* ================= HOW IT WORKS ================= */

.how-section {
  padding: 100px 10%;
  text-align: center;
  margin-bottom: 100px;
}

.how-section h1 {
  font-size: 45px;
  margin-bottom: 20px;
  color:#fff;
  
}

/* GRID */
.steps-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* clients stay 4 */
  gap: 30px;
}


/* STEP CARD */
.step-card {
  background: rgba(255, 255, 255, 0.094);
  padding: 30px;
  border-radius: 20px;
  backdrop-filter: blur(10px);
  transition: 0.3s;
  position: relative;
}

.step-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 30px rgba(0,0,0,0.3);
}

/* STEP NUMBER */
.step-number {
  font-size: 40px;
  font-weight: bold;
  color:rgb(0, 211, 85, 0.5);
  position: absolute;
  top: 15px;
  right: 20px;
}
/* TEXT */
.step-card h3 {
  margin-bottom: 10px;
  color: white;
}

.step-card p {
  color: rgba(255, 255, 255, 0.795);
  font-size: 14px;
}

/* STEP CARD */
.step-card-f {
  background: rgba(255, 255, 255, 0.094);
  padding: 30px;
  border-radius: 20px;
  backdrop-filter: blur(10px);
  transition: 0.3s;
  position: relative;
}

.step-card-f:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 30px rgba(0,0,0,0.3);
}

/* STEP NUMBER */
.step-number-f {
  font-size: 40px;
  font-weight: bold;
  color:rgb(43, 160, 226, 0.5);
  position: absolute;
  top: 15px;
  right: 20px;
}

/* TEXT */
.step-card-f h3 {
  margin-bottom: 10px;
  color: white;
}

.step-card-f p {
  color: rgba(255, 255, 255, 0.795);
  font-size: 14px;
}


.toggle-buttons {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-bottom: 30px;
}

.toggle-btn {
  padding: 8px 20px;
  border-radius: 20px;
  border: 1px solid rgba(255,255,255,0.2);
  background: transparent;
  color: white;
  cursor: pointer;
  transition: 0.3s;
}


/* CLIENT ACTIVE (blue) */
.client-btn.active {
  background: #00d355;
  color: white;
  border: none;
}

/* FREELANCER ACTIVE (green) */
.freelancer-btn.active {
  background: #2ba0e2;
  color: black;
  border: none;
}
.client-btn:hover {
  border-color:#00d355;
}

.freelancer-btn:hover {
  border-color: #2ba0e2;
}




/* Image styling */
.project-card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
  margin-bottom: 10px;
  border-radius: 10px;
}
/* Typography */
.info1 p {
  font-weight: bold;
}

.info1 span {
  color:black;
  text-decoration: underline;
  font-weight: bold;
}


.search-bar {
  display: flex;
  justify-content: center;   /* centers the whole group */
  align-items: center;
  gap: 15px;
  margin-top: 50px;
  width: 100%;
}


.search-bar input {
  width: 70%;               /* fixed width = better centering */
  max-width: 70%;            /* responsive */
  padding: 15px 20px;
  border-radius: 40px;
  border: 2px solid #00d355;
  color: white;            /* wider */
  backdrop-filter: blur(10px);
  background: rgba(255, 255, 255, 0.05);
  font-size: 16px;
  outline: none;
}
.search-bar input:focus {
  border-color:#00d355;
  box-shadow: 0 0 10px rgba(0, 255, 136, 0.4);
}

.search-bar input::placeholder {
  color: rgba(255, 255, 255, 0.7);
}

.filter-btn {
  height: 50px;              /* match input height */
  width: 50px;
  border-radius: 50%;
  border: none;
  background: #00d355;
  color: white;
  font-size: 20px;
  cursor: pointer;
}

.projects-section2 {
  padding: 90px;
}

/* Grid ONLY for cards */
.projects-grid2 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.info {
  display: flex;
  justify-content: space-between;
}
.project-link {
  text-decoration: none;
  color: inherit;
}

.project-cardp {
  padding: 15px;
  border-radius: 7px;
  transition: 0.3s ease-in-out;
  cursor: pointer;
  
}


.project-cardp:hover {
  box-shadow: 0 0 0 2px #00d355;
}

/* Image styling */
.project-cardp img {
  width: 100%;
  height: 220px;
  object-fit: cover;
  margin-bottom: 10px;
  border-radius: 7px;
}
/* Typography */
.info p {
  font-weight: bold;
  color:white;
}

.info span {
  color:white;
 text-decoration: underline;
  font-weight: bold;
}

/* CTA BUTTON */
.browse-btn-container {
  display: flex;
  justify-content: center;
  margin-top: 50px;
}

.browse-btn {
  padding: 15px 35px;
  border-radius: 40px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  font-size: 16px;
  transition: 0.3s ease;
  background:#a261ff;
}

.browse-btn:hover {
  background:#ac74fb;
  box-shadow: 0 0 10px #a261ff;

  
  
}





/* FOOTER */
.footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
  background-color:#2ba0e2;
  color:#1e2021;
  padding: 60px 80px;
  gap: 40px;
}

.footer .info-f {
  flex: 1;
  min-width: 250px;
}
.footer .info-f img {
  width: 18%;
  height: 18%;
  margin-bottom: 20px;


}


.footer .info-f h1 {
  font-size: 36px;
  font-weight: 600;
  margin-bottom: 20px;
  color:#1e2021;
  
}

.footer .info-f h2 {
  font-size: 16px;
  margin-bottom: 10px;
  font-weight: 600;
  color:#1e2021;
  
}

.footer .info-f p {
  font-size: 14px;
  margin: 4px 0;
  opacity: 0.8;
  color:#1e2021;
  
}

.footer .info-f p a {
  color: #1e2021;
  text-decoration: none;
  transition: 0.2s ease-in-out;
}
.footer .info-f p a:hover{
  color:white;
}

.socials {
  margin-top: 15px;
  color:#1e2021;
}

.socials a {
  color:#1e2021;
  font-size: 22px;
  margin-right: 10px;
  text-decoration: none;
  transition: 0.3s ease-in-out;
}

.socials a:hover {
  color:white;
}

.footer .footer-links {
  display: flex;
  flex: 0.3;
  justify-content: space-between;
  flex-wrap: wrap;
}

.footer .link-column {
  display: flex;
  flex-direction: column;
  min-width: 120px;
  justify-content: space-between;
  margin-left: 90px;
}

.footer .link-column h3 {
  font-size: 15px;
  margin-bottom: 10px;
  font-weight: 700;
  letter-spacing: 0.5px;
}

.footer .link-column a {
  color:#1e2021;
  text-decoration: none;
  margin: 3px 0;
  font-size: 14px;
  transition:  0.2s ease-in-out;
}

.footer .link-column a:hover {
  color:white;
}



.project-container {
  display: flex;
  gap: 30px;
  padding: 50px;
  margin-top: 30px;
  margin-bottom: 80px;
}

/* IMAGE SLIDER */
.image-slider {
  position: relative;
  width: 57%;
  
}

.image-slider img {
  width: 100%;
  height: 100%;
  object-fit:cover;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 30px;
  color: #fff;
  border: none;
  cursor: pointer;
  background: rgba(0, 0, 0, 0.5); /* transparent black */
  width: 30px;
  height: 30px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.arrow.left {
  left: 20px;
}

.arrow.right {
  right: 20px;
}

/* DETAILS */
.project-details {
  width: 40%;
  height: 100%;
}

.project-details h2 {
  font-size: 32px;
  color: #fff;
  font-weight: 500;
}

.author {
  color:#00d355;
  font-weight: 300;
  margin-bottom: 30px;
}

/* TAGS */
.tags {
  margin: 10px 0;
}

.tags span {
  background:#00d355;
  color:black;
  padding: 9px 12px;
  border-radius: 20px;
  margin-right: 5px;
  font-size: 14px;
}

/* INCLUSIONS */

.inclusions h4
{
  color: #fff;
  margin-top: 40px;
  margin-bottom: 10px;
}
.inclusions ul {
  padding-left: 20px;
  color: white;
  line-height: 1.2;
}

/* PRICE */
.price-box {
  margin: 20px 0;
  color: white;
  width: fit-content;
  font-size: 20px;
}

.price-box span {
  color:#00d355;
  font-weight: bold;
}

/* DESCRIPTION */
.description {
  color: #fff;
  margin-top: 20px;
  line-height: 1.7;
  font-size: 15px;
  
}

.description h4
{
  color: #fff;
  margin-top: 40px;
  margin-bottom: 10px;
}

/* BUTTON */
.checkout-btn {
  margin-top: 20px;
  width: 100%;
  padding: 15px;
  background: none;
  color: white;
  border: 2px solid #00d355;
  border-radius: 30px;
  font-size: 16px;
  cursor: pointer;
  transition: 0.3s ease-in-out;
}

.checkout-btn:hover{
  background-color: #00d355;
}

/* ================= CHECKOUT LAYOUT ================= */

.checkout-container {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 40px;
  padding: 80px 10%;
}

/* ================= LEFT SIDE ================= */

.checkout-left {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

/* PROJECT SUMMARY */
.project-summary {
  display: flex;
  gap: 20px;
  background: rgba(255, 255, 255, 0.104);
  padding: 20px;
  border-radius: 15px;
  color: #fff;
  border: 1px solid rgba(255,255,255,0.08);
}

.project-summary img {
  width: 120px;
  height: 120px;
  object-fit: cover;
  border-radius: 10px;
}

/* ================= FORM ================= */

.customization-form {
  background: rgba(255, 255, 255, 0.104);
  padding: 25px;
  border-radius: 15px;
  color: #fff;
  border: 1px solid rgba(255,255,255,0.08);
}

.customization-form h4 {
  margin-bottom: 10px;
  margin-top: 10px;
}

/* INPUTS */
.customization-form input {
  width: 100%;
  padding: 12px;
  margin-bottom: 15px;
  border-radius: 10px;
  border: 1px solid rgba(255,255,255,0.1);
  background: transparent;
  color: white;
}

.customization-form input::placeholder {
  color: #888;
}

.customization-form input:focus {
  outline: none;
  border-color: #00d355;
}

/* FILE PREVIEW */
#logoPreview,
#colorPreview {
  margin-bottom: 15px;
  border-radius: 8px;
}
/* FILE UPLOAD */
.file-upload {
  margin-bottom: 20px;
}

/* CONTAINER (IMPORTANT FOR POSITIONING) */
.preview-container {
  position: relative;
  display: none; /* 👈 hide completely */
  margin-top: 10px;
}


/* HIDE INITIALLY */
#logoPreview,
#colorPreview,
.remove-btn {
  display: none;
}

/* IMAGE */
.preview-container img {
  width: 100px;
  border-radius: 8px;
}

/* X BUTTON */
.remove-btn {
  position: absolute;
  top: -8px;
  right: -8px;
  background: #ff4d4d;
  color: white;
  border: none;
  border-radius: 50%;
  width: 22px;
  height: 22px;
  cursor: pointer;
  font-size: 12px;
  transition: 0.2s;
}

/* HOVER EFFECT */
.preview-container:hover .remove-btn {
  opacity: 2;
}

.remove-btn {
  opacity: 1;
}

.remove-btn:hover {
  background: red;
}


/* ================= RADIO ================= */

.radio-group {
  display: flex;
  gap: 20px;
  margin-top: 10px;
}
.radio-option {
  display: flex;
  align-items: center;
  gap: 8px;
  background: rgba(255,255,255,0.05);
  padding: 10px 15px;
  border-radius: 25px;
  cursor: pointer;
  border: 2px solid transparent; /* important */
  transition: 0.2s ease;
}

/* selected state */
.radio-option:has(input:checked) {
  border-color: #00d355;
}




/* CARD STYLE */
.radio-card {
  flex: 1;
  padding: 20px;
  border-radius: 15px;
  background: rgba(255,255,255,0.04);
  border: 1px solid rgba(255,255,255,0.08);
  cursor: pointer;
  transition: 0.3s;
  position: relative;
}

/* HIDE ugly default radio */
.radio-card input {
  position: absolute;
  opacity: 0;
}

/* TEXT */
.radio-content h4 {
  margin: 0;
  font-size: 18px;
  color: white;
}

.radio-content p {
  margin-top: 5px;
  color: #aaa;
}

/* HOVER */
.radio-card:hover {
  border-color: #00d355;
}

/* ACTIVE STATE */
.radio-card input:checked + .radio-content {
  color: #00d355;
}

.radio-card input:checked + .radio-content h4 {
  color: #00d355;
}

.radio-card input:checked + .radio-content p {
  color: #00ff88;
}

/* ACTIVE BORDER */
.radio-card input:checked ~ .radio-content,
.radio-card input:checked ~ * {
  border-color: #00d355;
}

.radio-card:has(input:checked) {
  border: 1px solid #00d355;
  background: rgba(0, 211, 85, 0.08);
}


/* ================= RIGHT SIDE ================= */

.checkout-right {
  background: rgba(255, 255, 255, 0.104);
  padding: 25px;
  border-radius: 15px;
  border: 1px solid rgba(255,255,255,0.08);
  height: fit-content;
  color: #fff;
}

.checkout-right h3 {
  margin-bottom: 20px;
}

/* BOXES */
.box {
  display: flex;
  justify-content: space-between;
  margin-bottom: 15px;
  padding-bottom: 10px;
  border-bottom: 1px solid rgba(255,255,255,0.08);
}

.box.small {
  border: none;
  font-size: 14px;
  color: #aaa;
}

/* PAYMENT OPTIONS */
.pay {
  margin-bottom: 10px;
}

/* ================= BUTTON ================= */

.confirm-btn {
  width: 100%;
  padding: 15px;
  margin-top: 20px;
  border-radius: 30px;
  border: none;
  background: #00d355;
  color: black;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
}

.confirm-btn:hover {
  background: #00ff88;
  box-shadow: 0 0 20px rgba(0, 211, 85, 0.3);
}

.success-container {
  text-align: center;
  margin-top: 200px;
  color: #fff;
  margin-bottom: 100px;
}

.success-container h1 {
  color:#a261ff;
  font-size: 60px;
  margin-bottom: 20px;
}

.success-container p {
  font-size: 17px;
  line-height: 0.5;
  text-align: center;
  color:#fff;
  opacity: 0.8;
  margin-bottom: 20px;

}

.success-container img {
  height: 5%;
  width: 5%;
  margin-top: 250px;
}
input[type="file"] {
  margin: 10px 0;
}

label {
  display: block;
  margin-top: 15px;
  font-weight: 500;
}

/* ================= MOBILE RESPONSIVE ================= */
@media (max-width: 768px) {

  /* GLOBAL */
  body {
    overflow-x: hidden;
  }

  h1 {
    font-size: 34px !important;
    line-height: 1.2;
  }

  h2 {
    font-size: 28px !important;
    line-height: 1.2;
  }

  p {
    font-size: 15px;
    line-height: 1.6;
  }

  /* HEADER */
  header {
    flex-direction: column;
    justify-content: center;
    padding: 20px;
    gap: 15px;
    text-align: center;
  }

  header img {
    width: 110px;
    height: auto;
    margin: 0;
  }

  header nav ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
  }

  header ul li {
    padding: 0;
    margin: 0 8px;
    font-size: 15px;
  }

  /* BANNER */
  .banner {
    height: 250px;
    margin-top: 0;
  }

  .slide {
    background-size: cover;
  }

  /* INTRO */
  .intro {
    padding: 40px 20px;
    text-align: center;
  }

  .intro img {
    width: 60%;
    height: auto;
  }

  /* ABOUT */
  .about-section {
    padding: 60px 20px;
  }

  .about-container {
    flex-direction: column;
    gap: 30px;
  }

  .about-text,
  .about-visual {
    width: 100%;
  }

  .about-text h1 {
    font-size: 34px;
  }

  /* HOW IT WORKS */
  .how-section {
    padding: 60px 20px;
    margin-bottom: 40px;
  }

  .toggle-buttons {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .toggle-btn {
    width: auto;
    font-size: 14px;
  }

  .steps-container {
    grid-template-columns: 1fr !important;
    gap: 20px;
  }

  .step-card,
  .step-card-f {
    padding: 25px;
  }

  /* PROJECTS */
  .projects-section,
  .projects-section2 {
    padding: 50px 20px;
  }

  .projects-section h2 {
    margin-top: 0;
    font-size: 30px;
  }

  .projects-grid,
  .projects-grid2 {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .project-card img,
  .project-cardp img {
    height: 220px;
  }

  /* SEARCH */
  .search-bar {
    flex-direction: row;
    gap: 10px;
    padding: 0 20px;
    margin-top: 30px;
  }

  .search-bar input {
    width: 100%;
    max-width: 100%;
    font-size: 15px;
    padding: 14px 18px;
  }

  .filter-btn {
    width: 48px;
    height: 48px;
    flex-shrink: 0;
  }

  /* PROJECT DETAILS */
  .project-container {
    flex-direction: column;
    padding: 30px 20px;
    gap: 25px;
  }

  .image-slider,
  .project-details {
    width: 100%;
  }

  .image-slider img {
    height: auto;
    border-radius: 12px;
  }

  .project-details h2 {
    font-size: 28px;
  }

  .tags {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
  }

  .tags span {
    margin-right: 0;
    font-size: 13px;
  }

  /* CHECKOUT */
  .checkout-container {
    grid-template-columns: 1fr;
    padding: 40px 20px;
    gap: 25px;
  }

  .project-summary {
    flex-direction: column;
    align-items: flex-start;
  }

  .project-summary img {
    width: 100%;
    height: 220px;
  }

  .radio-group {
    flex-direction: column;
    gap: 12px;
  }

  .radio-card {
    width: 100%;
  }

  /* SUCCESS */
  .success-container {
    margin: 100px 20px;
  }

  .success-container h1 {
    font-size: 38px;
  }

  .success-container p {
    line-height: 1.5;
    font-size: 15px;
  }

  .success-container img {
    width: 50px;
    height: auto;
    margin-top: 40px;
  }

  /* FOOTER */
  .footer {
    flex-direction: column;
    padding: 40px 20px;
    gap: 30px;
    text-align: center;
  }

  .footer .info-f img {
    width: 70px;
    height: auto;
  }

  .footer .footer-links {
    width: 100%;
    justify-content: center;
  }

  .footer .link-column {
    margin-left: 0;
    align-items: center;
  }
}



